=== presets/CMakeLists.txt ===
MACRO(SCAN_DIRS topdir basedir outlistvar)
    FILE(GLOB dirs RELATIVE "${topdir}" "${basedir}/*")
    FOREACH(d IN LISTS dirs)
        IF(IS_DIRECTORY "${topdir}/${d}")
            LIST(APPEND ${outlistvar} "${d}")
            SCAN_DIRS("${topdir}" "${d}" ${outlistvar})
        ENDIF(IS_DIRECTORY "${topdir}/${d}")
    ENDFOREACH(d IN LISTS dirs)
ENDMACRO(SCAN_DIRS top basedir outlist)

SET(presets_dirs)
SCAN_DIRS("${CMAKE_CURRENT_SOURCE_DIR}" "." presets_dirs)

FOREACH(dir IN LISTS presets_dirs)
    FILE(GLOB presets ${dir}/*.krp)
    INSTALL(FILES ${presets} DESTINATION ${DATA_INSTALL_DIR}/kradio5/presets/${dir})
ENDFOREACH(dir IN LISTS presets_dirs)
