=== distrib/debian/changelog ===
kradio5 (5.0.0-beta1-1) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Wed, 05 Feb 2020 20:56:53 +0100
 

kradio5 (5.0.0-1) unstable; urgency=low

  * port to kf5

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sat, 02 Feb 2020 20:00:00 +0100
 

kradio4 (4.0.8-1) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sat, 27 Sep 2014 23:51:08 +0200
 

kradio4 (4.0.7-1) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sat, 26 Jan 2013 18:34:23 +0100
 

kradio4 (4.0.6-1) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Wed, 15 Aug 2012 12:38:50 +0200
 

kradio4 (4.0.5-1) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sun, 05 Aug 2012 14:57:48 +0200
 

kradio4 (4.0.4-1) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sat, 18 Feb 2012 23:34:53 +0100
 

kradio4 (4.0.3-1) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sun, 12 Feb 2012 21:16:07 +0100
 

kradio4 (4.0.2) unstable; urgency=low

  * new packages based on recent upstream

kradio4 (4.0.2-rc1) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Fri, 07 Jan 2011 01:14:31 +0100
 

kradio4 (4.0.1) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sat, 02 Oct 2010 18:33:04 +0200
 

kradio4 (4.0.1-svn-r1026) unstable; urgency=low

  * polished debian packaging files based on parts of the ubuntu packaging files

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Mon, 29 Sep 2010 22:37:13 +0200
 

kradio4 (4.0.1-rc2) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Mon, 27 Sep 2010 02:37:13 +0200
 

kradio4 (4.0.1-rc1) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Thu, 16 Sep 2010 23:13:36 +0200
 

kradio4 (4.0.0) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Mon, 01 Jun 2009 23:00:05 +0200
 

kradio4 (snapshots_2009_05_31_r896) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sun, 31 May 2009 22:28:56 +0200
 

kradio4 (4.0.0_rc4) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sun, 26 Apr 2009 14:53:27 +0200
 

kradio4 (4.0.0-rc3) experimental; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sat, 18 Apr 2009 15:25:53 +0200
 

kradio4 (4.0.0-rc2) experimental; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Fri, 10 Apr 2009 17:51:41 +0200
 

kradio4 (4-0-0-rc1) experimental; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sun, 29 Mar 2009 14:30:02 +0200
 

kradio4 (snapshot-2009-03-28-r789) experimental; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sat, 28 Mar 2009 23:56:44 +0100
 

kradio4 (snapshot-2009-03-22-r778) experimental; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sun, 22 Mar 2009 15:45:54 +0100
 

kradio4 (snapshot-2009-03-18-r775) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Wed, 18 Mar 2009 00:00:02 +0100
 

kradio4 (snapshot-2009-03-18-r772) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Tue, 17 Mar 2009 23:53:23 +0100
 

kradio4 (snapshot-2009-03-17-r766) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Tue, 17 Mar 2009 02:09:49 +0100
 

kradio4 (snapshot-2009-03-17-r763) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Tue, 17 Mar 2009 01:37:29 +0100
 

kradio4 (RELEASE-r762) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Tue, 17 Mar 2009 01:35:23 +0100
 

kradio4 (4-0-0-beta2) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sun, 15 Mar 2009 00:28:24 +0100
 

kradio4 (snapshot-2009-03-08-r745) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sun, 08 Mar 2009 22:02:48 +0100
 

kradio4 (snapshot-2009-03-07-r723) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sat, 07 Mar 2009 00:37:07 +0100
 

kradio4 (snapshot-2009-03-07-r720) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Sat, 07 Mar 2009 00:10:27 +0100
 

kradio4 (snapshot-2009-03-05-r701) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Thu, 05 Mar 2009 01:10:01 +0100
 

kradio4 (snapshot-2006-03-05-r699) unstable; urgency=low

  * new packages based on recent upstream

 -- Ernst Martin Witte <emw@users.sourceforge.net>  Thu, 05 Mar 2009 00:59:58 +0100
 

kradio4 (snapshot-2009-03-01-r694) unstable; urgency=low

  * new packages based on recent upstream


